quickpay/magento2

Implements integration with the QuickPay payment service provider.

Installs: 56 594

Dependents: 0

Suggesters: 0

Security: 0

Stars: 4

Watchers: 8

Forks: 20

Open Issues: 2

Type:magento2-module

v2.4.5 2024-05-03 12:31 UTC

README

This is a major release - a remake of the old 2.x module (QuickPay_Payment).

The main reason for the remake was to fix two main issues of QuickPay_Payment, namely:

  • Marking unsuccessful orders as "Authorized"
  • Making it not possible to cancel such orders

We highly suggest to test it on a staging/development environment first.

Tested on Magento 2.3 / 2.4 (PHP version up to 8.3). Compatible with Magento 2.4.7 If you have trouble running it on an older Magento version, please, try to update it first.

Installation

composer require quickpay/magento2
php bin/magento module:enable QuickPay_Gateway
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy
php bin/magento setup:di:compile
php bin/magento cache:clean

Please note that FTP installation will not work as this module has requirements that will be auto installed when using composer

Pull requests welcome.